package it.tecnologieweb.pizza.web.dao;

import it.tecnologieweb.pizza.web.dao.hsqldb.HsqldbDAOFactory;

public abstract class DAOFactory {

	// List of supported DAO types
	public static final int HSQLDB = 1;
	public static final int MYSQL = 2;
	
	public static DAOFactory getDAOFactory(int whichFactory) {
		switch ( whichFactory ) {
		case HSQLDB:
			return new HsqldbDAOFactory();
		case MYSQL:
			// return new MySqlDAOFactory();
			throw new RuntimeException("Not supported, yet!!");
		default:
			return null;
		}
	}
	
	// Abstract methods for creating DAO objects
	public abstract CorsoDAO getCorsoDAO();
	public abstract ProfessoreDAO getProfessoreDAO();

}
