package it.tecnologieweb.pizza.web.dao.hsqldb;

public class HsqldbQuery {
	static String lastInsertId = "CALL IDENTITY();";

	// /TABELLA CORSI
	static String dropTableCorsi = "DROP TABLE corsi";

	static String createTableCorsi = "CREATE TABLE corsi ( id INT NOT NULL IDENTITY, idProfessore INT, nome VARCHAR(250), anno VARCHAR(256), programma VARCHAR(256), UNIQUE(id))";

	static String insertCorso = "INSERT INTO corsi (nome, anno, programma, idProfessore) VALUES (?,?,?,?);";

	static String deleteCorso = "DELETE FROM corsi WHERE id = ? ;";

	static String updateCorso = "UPDATE corsi SET nome = ?, anno = ?, programma = ?, idProfessore = ? WHERE id = ?";

	static String queryCorsi = "select * from corsi";

	static String queryCorsiId = "SELECT A.id, A.nome, A.cognome, A.matricola, B.id as idCorso, B.anno, B.nome as nomeCorso, B.programma "
			+ "FROM corsi as B LEFT JOIN professori as A on (A.id = B.idProfessore) WHERE B.id = ?";

	// /TABELLA PROFESSORI
	static String dropTableProfessori = "DROP TABLE professori";

	static String createTableProfessori = "CREATE TABLE professori ( id INT NOT NULL IDENTITY, nome VARCHAR(250), cognome VARCHAR(256), matricola VARCHAR(256), biografia LONGVARCHAR, fotoBytes BINARY, fotoContentType VARCHAR(256), fotoName VARCHAR(256), UNIQUE(id))";

	static String insertProf = "INSERT INTO professori (nome, cognome, matricola, biografia, fotoBytes, fotoContentType, fotoName) VALUES (?,?,?,?,?,?,?);";

	static String deleteProf = "DELETE FROM professori WHERE id = ? ;";

	static String updateProf = "UPDATE professori SET nome = ?, cognome = ?, matricola = ?, biografia = ?, fotoBytes = ?, fotoContentType = ?, fotoName = ? WHERE id = ?";

	static String queryProfessori = "SELECT * FROM professori";

	static String queryProfessoriID = "SELECT A.id, A.nome, A.cognome, A.matricola, A.biografia, A.fotoBytes, A.fotoContentType, A.fotoName, B.id as idCorso, B.anno, B.nome as nomeCorso, B.programma "
			+ "FROM professori as A LEFT JOIN corsi as B ON (A.id = B.idProfessore) WHERE A.id= ?";

}
